From c4f76d07bfbce5a6ef6e86d0d08b92c2422c7f32 Mon Sep 17 00:00:00 2001
From: purpurrot <45521912+purpurrot@users.noreply.github.com>
Date: Sun, 14 Jul 2019 19:31:24 +0200
Subject: [PATCH 1/4] New package: kgpg

---
 srcpkgs/kgpg/template | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 srcpkgs/kgpg/template

diff --git a/srcpkgs/kgpg/template b/srcpkgs/kgpg/template
new file mode 100644
index 00000000000..ee4894927eb
--- /dev/null
+++ b/srcpkgs/kgpg/template
@@ -0,0 +1,15 @@
+# Template file for 'kgpg'
+pkgname=kgpg
+version=19.04.3
+revision=1
+build_style=cmake
+configure_args="-DBUILD_TESTING=OFF"
+depends="gpgmeqt"
+hostmakedepends="extra-cmake-modules kcoreaddons kconfig kdoctools python qt5-host-tools qt5-qmake"
+makedepends="qt5-devel gpgmeqt-devel akonadi-contacts-devel kcontacts-devel"
+short_desc="Simple interface for GnuPG"
+maintainer="John Eira <john.eira@web.de>"
+license="GPL-2.0-or-later"
+homepage="https://utils.kde.org/projects/kgpg/"
+distfiles="${KDE_SITE}/applications/${version}/src/kgpg-${version}.tar.xz"
+checksum=740ad342cfa1edf1c7cbbe8d15789533d5003dda5bf3899687eb4182b582236d

From 62fe0d2b36d24f9223c3963b8f6d2bd07295ac79 Mon Sep 17 00:00:00 2001
From: purpurrot <45521912+purpurrot@users.noreply.github.com>
Date: Sun, 14 Jul 2019 19:31:35 +0200
Subject: [PATCH 2/4] New package: ktimer

---
 srcpkgs/ktimer/template | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 srcpkgs/ktimer/template

diff --git a/srcpkgs/ktimer/template b/srcpkgs/ktimer/template
new file mode 100644
index 00000000000..58307326024
--- /dev/null
+++ b/srcpkgs/ktimer/template
@@ -0,0 +1,14 @@
+# Template file for 'ktimer'
+pkgname=ktimer
+version=19.04.3
+revision=1
+build_style=cmake
+configure_args="-DBUILD_TESTING=OFF"
+hostmakedepends="extra-cmake-modules kcoreaddons kconfig kdoctools python qt5-host-tools qt5-qmake"
+makedepends="qt5-devel"
+short_desc="Tool to execute programs after some time"
+maintainer="John Eira <john.eira@web.de>"
+license="GPL-2.0-or-later"
+homepage="https://utils.kde.org/projects/ktimer/"
+distfiles="${KDE_SITE}/applications/${version}/src/ktimer-${version}.tar.xz"
+checksum=c282a02019f7b1f69eae09b564481ed7526c7c836155b1eed2b22fb01fcaf563

From 7afa1709858c450cd936903366d7350cdd240fe3 Mon Sep 17 00:00:00 2001
From: purpurrot <45521912+purpurrot@users.noreply.github.com>
Date: Sun, 14 Jul 2019 19:47:48 +0200
Subject: [PATCH 3/4] New package: kmplot

---
 srcpkgs/kmplot/template | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 srcpkgs/kmplot/template

diff --git a/srcpkgs/kmplot/template b/srcpkgs/kmplot/template
new file mode 100644
index 00000000000..1bdd2bdd725
--- /dev/null
+++ b/srcpkgs/kmplot/template
@@ -0,0 +1,14 @@
+# Template file for 'kmplot'
+pkgname=kmplot
+version=19.04.3
+revision=1
+build_style=cmake
+configure_args="-DBUILD_TESTING=OFF"
+hostmakedepends="extra-cmake-modules kcoreaddons kconfig kdoctools python qt5-host-tools qt5-qmake"
+makedepends="qt5-devel kparts-devel"
+short_desc="Mathematical function plotter by KDE"
+maintainer="John Eira <john.eira@web.de>"
+license="GPL-2.0-or-later"
+homepage="https://edu.kde.org/kmplot/"
+distfiles="${KDE_SITE}/applications/${version}/src/kmplot-${version}.tar.xz"
+checksum=8c312235076fdad431fc68dc3e8be18ab8317e8a6efb6e6170958cb7495ab479

From b8258e68c1a574b5fc2fa9b8a72ace1794c8a03a Mon Sep 17 00:00:00 2001
From: purpurrot <45521912+purpurrot@users.noreply.github.com>
Date: Sun, 14 Jul 2019 20:10:42 +0200
Subject: [PATCH 4/4] New package: kbibtex

---
 srcpkgs/kbibtex/template | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 srcpkgs/kbibtex/template

diff --git a/srcpkgs/kbibtex/template b/srcpkgs/kbibtex/template
new file mode 100644
index 00000000000..6ba1bc6a852
--- /dev/null
+++ b/srcpkgs/kbibtex/template
@@ -0,0 +1,14 @@
+# Template file for 'kbibtex'
+pkgname=kbibtex
+version=0.9
+revision=1
+build_style=cmake
+configure_args="-DBUILD_TESTING=OFF"
+hostmakedepends="pkgconf extra-cmake-modules kcoreaddons kconfig kdoctools python qt5-host-tools qt5-qmake"
+makedepends="qt5-devel qt5-xmlpatterns-devel qca-qt5-devel qoauth-qt5-devel poppler-qt5-devel ktexteditor-devel"
+short_desc="Bibliography editor for KDE"
+maintainer="John Eira <john.eira@web.de>"
+license="GPL-2.0-or-later"
+homepage="https://userbase.kde.org/KBibTeX"
+distfiles="${KDE_SITE}/KBibTeX/${version}/kbibtex-${version}.tar.xz"
+checksum=e5d426bb898f801e26655a6a9cc859e63e791229d8d03d1f8b5605860b00460d
